Remove Legal Hold from a Customer
1 min
POST
https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId}
customerIdstring<uuid>Unique identifier for the customer that the call should be interacting with.
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
bodyobjectRequest body for removing a legal hold.
200Legal hold removed successfully.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found.
500There was an internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string' \
--data '{
"reason": ""
}'